Bug 1220911

Summary: maven-wagon-webdav-jackrabbit has broken dependencies in the F22 tree
Product: [Fedora] Fedora Reporter: Kalev Lember <kalevlember>
Component: maven-wagonAssignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: akurtako, dbhole, fnasser, java-sig-commits, jcapik, kparal, mizdebsk, msimacek, yyang
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: 2.8-2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-05-19 07:05:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043132    

Description Kalev Lember 2015-05-12 19:35:24 UTC
jackrabbit was retired yesterday and that caused a fallout in maven-wagon. From https://kojipkgs.fedoraproject.org/mash/branched-20150512/logs/depcheck

[maven-wagon]
	maven-wagon-webdav-jackrabbit-2.8-1.fc22.noarch requires mvn(org.apache.jackrabbit:jackrabbit-webdav)

Comment 1 Mikolaj Izdebski 2015-05-12 19:37:58 UTC
Fixed in maven-wagon-2.8-2

Comment 2 Kalev Lember 2015-05-12 19:39:59 UTC
Proposing as a F22 Final Freeze Exception in order to be able to ship F22 without broken dependencies.

Comment 3 Fedora Update System 2015-05-12 19:47:45 UTC
maven-wagon-2.8-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/maven-wagon-2.8-2.fc22

Comment 4 Kamil Páral 2015-05-14 18:07:01 UTC
Discussed at the 2015-05-14 blocker review meeting.[1] Voted as AcceptedFreezeException - it's good to try and avoid dep issues in the frozen tree

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-14

Comment 5 Fedora Update System 2015-05-19 00:00:12 UTC
maven-wagon-2.8-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Mikolaj Izdebski 2015-05-19 07:05:48 UTC
I believe that this bug is fixed in maven-wagon-2.8-2,
which is available in Fedora 22, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=636552